Skip to main content
GET
/
public
/
v1
/
workflows
/
execution-states
/
{state_id}
/
actions
/
Get approval actions for execution state
curl --request GET \
  --url https://api.dualentry.com/public/v1/workflows/execution-states/{state_id}/actions/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/workflows/execution-states/{state_id}/actions/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/workflows/execution-states/{state_id}/actions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 123,
    "workflow_execution_state_id": 123,
    "record_id": 123,
    "record_type": "<string>",
    "approver": {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>"
    },
    "action_type": "<string>",
    "rejection_reason": "<string>",
    "step_name": "<string>",
    "step_order": 123,
    "substep_order": 123,
    "workflow_version": 123,
    "created_at": "2023-11-07T05:31:56Z"
  }
]
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

state_id
integer
required

Response

OK

id
integer
required
workflow_execution_state_id
integer | null
required
record_id
integer
required
record_type
string
required
approver
PublicApproverSchemaOut · object
required

Schema for approver information.

action_type
string
required
rejection_reason
string | null
required
step_name
string
required
step_order
integer
required
substep_order
integer | null
required
workflow_version
integer
required
created_at
string<date-time>
required
Last modified on July 13, 2026